package statej.ast;

import statej.Visitor;

public class PackageNode extends Node
{
	protected String name;
	
	public PackageNode(String name, int rowNumber, int colNumber)
	{
		super(rowNumber, colNumber);
		
		this.name = name;
	}
	
	
	public Object accept(Visitor v)
	{
		return v.visit(this);
	}

	public String toString()
	{
		return "package " + name + ";";
	}
}
